---
title: 'Certificate Authority'
visible: true
---

burble.dn42 certificate authority details.

===

# Certificate Authority

The burble.dn42 network maintains a self-signed certificate authority to generate X.509 certificates for peers who are unable to use un-signed keys because of restrictions with their router implementations. 

Please submit key signing requests to dn42@burble.com, emails should be signed with your PGP identity.

**Certificates are valid for 1 year, and if your certificate expires your peering will be removed.**

Peering using X.509 certificates is supported with the following tunnel types:

* OpenVPN
* IPSec/GRE

## burble.dn42 CA details

|||
|---|---|
|countryName|GB|
|stateOrProvinceName &nbsp;&nbsp; |dn42|
|organizationName|burble.dn2|
|commonName|ca.burble.dn42|
|emailAddress|dn42@burble.com|

##### Certificate Expiry Date: ```Dec 21 09:21:08 2020 GMT```

#### ca.burble.dn42 certificate

[ca-burble-dn42.pem](/home/certificate-authority/certs/ca-burble-dn42.pem)

```
-----BEGIN CERTIFICATE-----
MIIDrDCCApSgAwIBAgIJAIZWD8xmHTYFMA0GCSqGSIb3DQEBCwUAMGsxCzAJBgNV
BAYTAkdCMQ0wCwYDVQQIDARkbjQyMRQwEgYDVQQKDAtidXJibGUuZG40MjEXMBUG
A1UEAwwOY2EuYnVyYmxlLmRuNDIxHjAcBgkqhkiG9w0BCQEWD2RuNDJAYnVyYmxl
LmNvbTAeFw0xODEyMjIwOTIxMDhaFw0yMDEyMjEwOTIxMDhaMGsxCzAJBgNVBAYT
AkdCMQ0wCwYDVQQIDARkbjQyMRQwEgYDVQQKDAtidXJibGUuZG40MjEXMBUGA1UE
AwwOY2EuYnVyYmxlLmRuNDIxHjAcBgkqhkiG9w0BCQEWD2RuNDJAYnVyYmxlLmNv
bTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALEsUm0KtuwZjrMeWl/x
t8f5XCLdDdBAm9KWfJWl9fwxTFkwYEMaXMLjhsmoLKuyXejs7X72VAA/Ctz9KuiQ
l/teuGKvt8gNbq3IXVH9KxW8uiSWJIUklZ801qLjUX4kzWJlCgug7Xd2Q0LsevvC
QMSNa2Blfh6ieMtjeQNaRhoyy3xEn7t/CNkn5U+bVFTUYE31fREWyEJe2avX2KIs
y55GxlkUmOZZPAsMs9at+NmfDWsxOYJSYBOeLsyzJnHWX0g+X9sBf14CDPL3KVxq
NdGlPGYmJXr8Q5bNUv6diHSGd4nW/ft/IRGPpgXpwzcQNQHfneZUGSC9L+0B4LR4
sqkCAwEAAaNTMFEwHQYDVR0OBBYEFN8+6wkXTKajsoezC1nzvBe+YZscMB8GA1Ud
IwQYMBaAFN8+6wkXTKajsoezC1nzvBe+YZscMA8GA1UdEwEB/wQFMAMBAf8wDQYJ
KoZIhvcNAQELBQADggEBAEdmCZyKaEk2AOcgVkQ9OMAR+AaGIUCazvWKGx2DXAJI
2zmeEKx1tkRAkEQkzoUo7vor+X8/f3FVmtVF5bxbI9y7LsrXSNZB62z+Voyj36Id
rOx05MN9FPbz6FAD5a7vTWCK7hRgGTaUGwYVyVXy9iiSA8Oqm8sqblvfk9jz3E5Y
TJP6b8Y/Dq9BLpciozqSLo2zPOvl7kaN3kS3eufzA4O9LKfFIxXIcqfsSzFlbQyu
afBrjiG18FVCNPQW3kCBk2oOWl7z/SJjB1oG/ZcDhSdHYPj+1gTsnzTKAB8qJikh
gGwJMRLy1L5Bd0p63in5SNX9LXVsY+8YiA7sa3yAhWc=
-----END CERTIFICATE-----
```

## Host Certificates

See the [Peering](/peering) page for signed host certificates.
