---
title: about
media_order: 'DN42 Map 181224.2.png'
---

#burble.dn42

burble.dn42 is an experimental global network, part of [dn42](https://dn42.us/)  
By active peer count, burble.dn42 is the 3rd largest IPv4 and 2nd largest IPv6 network in dn42.

#####Background

I manage a number of virtual and dedicated servers that provide high quality time services for the [NTP Pool Project](https://www.ntppool.org/").
burble.dn42 is a project to integrate these servers with dn42, creating a globally connected set of POPs that are well connected to the dn42 network.

My [NTP Pool Profile Page](https://www.ntppool.org/user/buovss4oiceotdj2o3mb) shows the status of each of my servers in the pool. 

#####Topology

All nodes in the burble.dn42 network are directly meshed with wireguard tunnels. A VXLAN, layer 2, overlay sits on
top of the wireguard mesh, providing separation of DN42 traffic from internal traffic. The internal routing protocols
used are OSPF and iBGP for the regional anycast services.

#####DN42 Routing

To simplify the number of iBGP sessions, the network is configured as a number of sub-AS regions within a single [BGP Confederation](https://en.wikipedia.org/wiki/BGP_confederation).  
The sub-AS regions, together with tagging using  [large BGP communities](http://largebgpcommunities.net/), are used to implement a regional [Routing Policy](/home/routing-policy).

* Europe (region AS4226010150)
* UK Bristol (region AS4226010045)
* Eastern Europe (region AS4226010151)
* North America (region AS4226010021)
* Asia and Oceania (region AS4226010009) 

![Network Map](DN42%20Map%20190419.png)

####Network Status

[Status Page](https://dn42.status.burble.com/) provided by [UptimeRobot](https://uptimerobot.com/)
