---
title: Network Reach
---

{assets:css order:10}
/monitoring/vis.min.csps
{/assets}

{assets:js order:10}f
/monitoring/vis.min.js
/monitoring/Chart.bundle.min.js
{/assets}
    
# Network Reach

The following stats show the reachability of DN42 from the burble.dn42 network, and are retrieved from the [collector](https://collector.burble.com/) every ten minutes.

#### General Stats

Total number of:  

|||
|--|--|
|Reachable Autonomous Systems|231|
|Advertised Prefixes|431 (IPv4) / 234 (IPv6)|
|Route Paths|6877|

#### BGP Path Lengths

Histogram of the BGP path lengths  
<canvas id="histogram"></canvas>

#### DN42 Network Map 

View of the DN42 network as seen by each burble.dn42 region.  
<span style="color:#808080;font-size: xx-small"><i>
Patience, the node map takes a few seconds to load
</i></span>
<div id="network">...</div>

<script>

var ctx = document.getElementById('histogram');
var histogram = new Chart(ctx, {
  type: 'bar',
    data: {
      labels: [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ],
	datasets: [{
	  label: 'No. of Paths',
      backgroundColor: 'rgba(50,100,255,0.2)',
      data: [ 845, 661, 2157, 1779, 625, 213, 71, 351, 167, 8, 0, 1 ]
    }]
  },
})     

var nodes = new vis.DataSet([ {id: 1, label: '4242423620', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 2, label: '4242421035', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 3, label: '4242420101', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 4, label: '64527', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 5, label: '65037', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 6, label: '4242423320', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 7, label: '4242421955', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 8, label: 'Burble.DN42 (East Europe)', shape: 'box', color: { background: '#4040FF', border: '#4040FF' }, font: { color: '#FFFFFF', size: 40 }, mass: 50, borderWidth: 5 }, {id: 9, label: '4242420148', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 10, label: '4242421905', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 11, label: '65065', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 12, label: '4242420007', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 13, label: '4242422935', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 14, label: '4242421123', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 15, label: '4242422673', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 16, label: '4242420081', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 17, label: '4242420143', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 18, label: '4242422700', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 19, label: '4242420031', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 20, label: '4242420724', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 21, label: '4242423602', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 22, label: '64875', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 23, label: '4226011021', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 24, label: '4242421926', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 25, label: '65024', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 26, label: '4242421777', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 27, label: '4242423838', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 28, label: '64717', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 29, label: '(4226010151', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 30, label: '4242423991', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 31, label: '4242423237', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 32, label: '4242423754', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 33, label: '65026', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 34, label: '4242423852', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 35, label: '4242420039', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 36, label: '4242422232', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 37, label: '4242421114', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 38, label: '4242422002', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 39, label: '4242422439', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 40, label: '4242420076', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 41, label: '4242421312', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 42, label: '4242423783', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 43, label: '64697', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 44, label: '4242420119', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 45, label: '4242421873', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 46, label: '4242423955', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 47, label: '76190', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 48, label: '4242423156', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 49, label: '64857', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 50, label: 'Burble.DN42 (Asia and Oceania)', shape: 'box', color: { background: '#4040FF', border: '#4040FF' }, font: { color: '#FFFFFF', size: 40 }, mass: 50, borderWidth: 5 }, {id: 51, label: '4242421093', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 52, label: '65042', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 53, label: '4242420789', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 54, label: '(4226010021', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 55, label: '4242421500', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 56, label: '4242420077', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 57, label: '64692', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 58, label: '4242422128', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 59, label: '4242422019', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 60, label: '4242423759', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 61, label: '64839', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 62, label: '4242420553', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 63, label: '64636', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 64, label: '4242422042', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 65, label: '64828', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 66, label: '65433', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 67, label: '4242423640', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 68, label: '65022', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 69, label: '65038', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 70, label: '64600', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 71, label: '64794', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 72, label: '4242423914', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 73, label: '4242423000', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 74, label: '4242422481', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 75, label: '', shape: 'box', color: { background: '#4040FF', border: '#4040FF' }, font: { color: '#FFFFFF', size: 40 }, mass: 50, borderWidth: 5 }, {id: 76, label: '4242421110', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 77, label: '76198', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 78, label: '4242423650', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 79, label: '4242420442', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 80, label: '4242423230', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 81, label: '65534', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 82, label: '4242422777', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 83, label: '4242420589', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 84, label: '4242420756', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 85, label: '4242423965', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 86, label: '65019', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 87, label: '4242420560', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 88, label: '65196', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 89, label: '4242420163', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 90, label: '4242421656', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 91, label: '4242421501', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 92, label: '4242420571', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 93, label: '4242420117', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 94, label: '4242423906', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 95, label: '4226010021', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 96, label: '4242420131', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 97, label: '4242421189', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 98, label: '4242421243', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 99, label: '4242420146', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 100, label: '4242420568', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 101, label: '4226010009', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 102, label: '64720', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 103, label: '201173', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 104, label: '4242420168', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 105, label: '4242421191', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 106, label: '4242420141', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 107, label: '64638', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 108, label: '4242423773', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 109, label: '4242429999', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 110, label: '4242420210', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 111, label: '4242420064', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 112, label: '4242420138', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 113, label: '4242422037', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 114, label: '4242420140', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 115, label: '4242420028', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 116, label: '4242422878', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 117, label: '4242420191', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 118, label: '64833', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 119, label: '4242421008', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 120, label: '4242422626', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 121, label: '4242421233', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 122, label: '(4226010009', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 123, label: '64616', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 124, label: '64766', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 125, label: '56662', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 126, label: '4242423348', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 127, label: '4242423733', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 128, label: '4242421015', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 129, label: '4242421120', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 130, label: '4242420666', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 131, label: '4242421009', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 132, label: '4242420022', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 133, label: '4242420741', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 134, label: '4242421199', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 135, label: 'Burble.DN42 (Europe)', shape: 'box', color: { background: '#4040FF', border: '#4040FF' }, font: { color: '#FFFFFF', size: 40 }, mass: 50, borderWidth: 5 }, {id: 136, label: '4242422189', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 137, label: '4242423934', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 138, label: '4242420047', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 139, label: '4242420144', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 140, label: '4242423723', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 141, label: '4242422244', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 142, label: '4242420128', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 143, label: '4242421475', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 144, label: '4242420000', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 145, label: '4242421888', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 146, label: '4242420812', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 147, label: '65205', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 148, label: '4242420775', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 149, label: '64698', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 150, label: '4242423513', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 151, label: '76140', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 152, label: '4242423435', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 153, label: '4242421063', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 154, label: '4242420824', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 155, label: '4242422857', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 156, label: '4242422255', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 157, label: '4242427877', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 158, label: '4242422800', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 159, label: '4242422480', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 160, label: '4242423581', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 161, label: '4242420203', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 162, label: '4242420415', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 163, label: '4242420018', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 164, label: '4242420078', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 165, label: '4242420116', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 166, label: '4242421404', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 167, label: '4242423201', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 168, label: '4242421223', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 169, label: '4242422233', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 170, label: '4242423738', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 171, label: '76175', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 172, label: '4242422113', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 173, label: '4242428192', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 174, label: '4242423905', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 175, label: '4242420241', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 176, label: '4242421050', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 177, label: '4242423677', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 178, label: '4242420046', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 179, label: 'Burble.DN42 (North America)', shape: 'box', color: { background: '#4040FF', border: '#4040FF' }, font: { color: '#FFFFFF', size: 40 }, mass: 50, borderWidth: 5 }, {id: 180, label: '65181', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 181, label: '4226010009)', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 182, label: '4242420149', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 183, label: '4242422712', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 184, label: '4242423907', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 185, label: '4242422547', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 186, label: '64713', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 187, label: '4242420123', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 188, label: '4242420803', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 189, label: '4242420165', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 190, label: '4242420742', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 191, label: '4242423214', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 192, label: '4242422161', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 193, label: '76114', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 194, label: '4226010021)', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 195, label: '4242420321', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 196, label: '4242422950', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 197, label: '4242423506', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 198, label: '64719', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 199, label: '4242422027', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 200, label: '4242420318', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 201, label: '4242423975', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 202, label: '4242422543', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 203, label: '4242423389', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 204, label: '4242420045', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 205, label: '4242423377', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 206, label: '4242420905', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 207, label: '64654', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 208, label: '4242423585', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 209, label: '64699', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 210, label: '4242421069', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 211, label: '4242422815', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 212, label: '64752', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 213, label: '4242421979', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 214, label: '4242423556', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 215, label: '4242422914', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 216, label: '4242423974', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 217, label: '4242420125', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 218, label: '64737', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 219, label: '65043', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 220, label: '4242429990', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 221, label: '4242422707', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 222, label: '4242421271', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 223, label: '4242423514', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 224, label: '4242421588', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 225, label: '4242429946', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 226, label: '4226011021)', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 227, label: '4242420300', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 228, label: '4242420246', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 229, label: '64633', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },{id: 230, label: '206633', shape: 'ellipse', font: { size: 4, color: '#FFFFFF' }, color: { background: '#404040' }, borderWidth: 0 },]);

var edges = new vis.DataSet([ {from: 151, to: 79, color: { color: '#FF8080' }, width: 2 },{from: 137, to: 112, color: { color: '#FFD0D0' }, width: 2 },{from: 177, to: 117, color: { color: '#DDDDDD' }, width: 2 },{from: 19, to: 26, color: { color: '#DDDDDD' }, width: 2 },{from: 145, to: 6, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 33, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 11, color: { color: '#FFD0D0' }, width: 2 },{from: 64, to: 120, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 105, color: { color: '#FF6060' }, width: 2 },{from: 185, to: 112, color: { color: '#FF8080' }, width: 2 },{from: 60, to: 130, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 138, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 187, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 196, color: { color: '#FFD0D0' }, width: 2 },{from: 177, to: 216, color: { color: '#FFD0D0' }, width: 2 },{from: 50, to: 80, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 190, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 19, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 29, color: { color: '#FF6060' }, width: 2 },{from: 226, to: 18, color: { color: '#DDDDDD' }, width: 2 },{from: 196, to: 9, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 66, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 215, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 180, color: { color: '#FFD0D0' }, width: 2 },{from: 50, to: 44, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 23, color: { color: '#FF6060' }, width: 2 },{from: 193, to: 28, color: { color: '#DDDDDD' }, width: 2 },{from: 226, to: 24, color: { color: '#DDDDDD' }, width: 2 },{from: 50, to: 23, color: { color: '#FF6060' }, width: 2 },{from: 194, to: 37, color: { color: '#DDDDDD' }, width: 2 },{from: 177, to: 28, color: { color: '#FFD0D0' }, width: 2 },{from: 105, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 112, color: { color: '#FFD0D0' }, width: 2 },{from: 21, to: 114, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 141, to: 72, color: { color: '#DDDDDD' }, width: 2 },{from: 177, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 181, to: 202, color: { color: '#DDDDDD' }, width: 2 },{from: 75, to: 162, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 201, color: { color: '#FFD0D0' }, width: 2 },{from: 21, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 197, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 196, color: { color: '#FF8080' }, width: 2 },{from: 179, to: 75, color: { color: '#FF6060' }, width: 2 },{from: 67, to: 96, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 21, color: { color: '#FFD0D0' }, width: 2 },{from: 5, to: 81, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 218, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 193, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 112, color: { color: '#FFD0D0' }, width: 2 },{from: 105, to: 67, color: { color: '#FF8080' }, width: 2 },{from: 171, to: 191, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 52, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 132, color: { color: '#FFD0D0' }, width: 2 },{from: 7, to: 60, color: { color: '#DDDDDD' }, width: 2 },{from: 58, to: 83, color: { color: '#DDDDDD' }, width: 2 },{from: 137, to: 139, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 56, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 69, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 99, color: { color: '#FF8080' }, width: 2 },{from: 3, to: 218, color: { color: '#FF8080' }, width: 2 },{from: 18, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 75, to: 24, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 38, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 219, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 166, color: { color: '#FFD0D0' }, width: 2 },{from: 150, to: 171, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 3, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 224, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 132, color: { color: '#FFD0D0' }, width: 2 },{from: 150, to: 223, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 193, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 187, to: 108, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 225, color: { color: '#FFD0D0' }, width: 2 },{from: 185, to: 188, color: { color: '#FF8080' }, width: 2 },{from: 167, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 194, to: 72, color: { color: '#DDDDDD' }, width: 2 },{from: 212, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 96, to: 53, color: { color: '#FF8080' }, width: 2 },{from: 75, to: 18, color: { color: '#FF8080' }, width: 2 },{from: 18, to: 46, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 30, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 186, color: { color: '#FF6060' }, width: 2 },{from: 24, to: 44, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 11, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 18, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 102, color: { color: '#FFD0D0' }, width: 2 },{from: 24, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 167, color: { color: '#FF6060' }, width: 2 },{from: 105, to: 219, color: { color: '#FF8080' }, width: 2 },{from: 67, to: 105, color: { color: '#FF8080' }, width: 2 },{from: 186, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 147, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 24, color: { color: '#FF8080' }, width: 2 },{from: 18, to: 224, color: { color: '#FFD0D0' }, width: 2 },{from: 177, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 71, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 18, color: { color: '#DDDDDD' }, width: 2 },{from: 135, to: 64, color: { color: '#FF6060' }, width: 2 },{from: 132, to: 171, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 42, color: { color: '#FF6060' }, width: 2 },{from: 44, to: 219, color: { color: '#FF8080' }, width: 2 },{from: 105, to: 187, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 33, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 208, color: { color: '#FF6060' }, width: 2 },{from: 179, to: 176, color: { color: '#FF8080' }, width: 2 },{from: 185, to: 24, color: { color: '#FF8080' }, width: 2 },{from: 47, to: 171, color: { color: '#FFD0D0' }, width: 2 },{from: 151, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 212, to: 219, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 193, color: { color: '#FF8080' }, width: 2 },{from: 25, to: 49, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 218, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 81, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 216, color: { color: '#FFD0D0' }, width: 2 },{from: 112, to: 185, color: { color: '#DDDDDD' }, width: 2 },{from: 47, to: 191, color: { color: '#FFD0D0' }, width: 2 },{from: 44, to: 112, color: { color: '#FF8080' }, width: 2 },{from: 53, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 24, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 67, to: 98, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 22, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 224, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 119, color: { color: '#FF6060' }, width: 2 },{from: 201, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 61, to: 61, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 206, color: { color: '#FFD0D0' }, width: 2 },{from: 166, to: 137, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 219, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 204, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 151, color: { color: '#FF6060' }, width: 2 },{from: 174, to: 211, color: { color: '#FFD0D0' }, width: 2 },{from: 44, to: 218, color: { color: '#FF8080' }, width: 2 },{from: 47, to: 150, color: { color: '#FFD0D0' }, width: 2 },{from: 29, to: 101, color: { color: '#FF8080' }, width: 2 },{from: 177, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 230, color: { color: '#FF8080' }, width: 2 },{from: 18, to: 116, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 101, color: { color: '#FF6060' }, width: 2 },{from: 79, to: 182, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 177, color: { color: '#FFD0D0' }, width: 2 },{from: 162, to: 162, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 227, color: { color: '#FFD0D0' }, width: 2 },{from: 8, to: 182, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 37, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 60, to: 55, color: { color: '#DDDDDD' }, width: 2 },{from: 50, to: 45, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 7, color: { color: '#FF6060' }, width: 2 },{from: 120, to: 64, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 151, color: { color: '#DDDDDD' }, width: 2 },{from: 18, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 145, to: 133, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 224, color: { color: '#FF8080' }, width: 2 },{from: 19, to: 38, color: { color: '#DDDDDD' }, width: 2 },{from: 197, to: 34, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 143, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 159, color: { color: '#FFD0D0' }, width: 2 },{from: 166, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 131, color: { color: '#FF6060' }, width: 2 },{from: 114, to: 203, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 164, color: { color: '#FFD0D0' }, width: 2 },{from: 101, to: 226, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 8, to: 21, color: { color: '#FF8080' }, width: 2 },{from: 185, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 21, to: 18, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 104, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 18, color: { color: '#DDDDDD' }, width: 2 },{from: 24, to: 19, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 44, color: { color: '#FF6060' }, width: 2 },{from: 112, to: 219, color: { color: '#FFD0D0' }, width: 2 },{from: 67, to: 112, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 150, color: { color: '#FFD0D0' }, width: 2 },{from: 224, to: 87, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 172, color: { color: '#FF8080' }, width: 2 },{from: 216, to: 112, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 1, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 220, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 197, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 88, color: { color: '#FFD0D0' }, width: 2 },{from: 194, to: 176, color: { color: '#DDDDDD' }, width: 2 },{from: 72, to: 131, color: { color: '#FF8080' }, width: 2 },{from: 195, to: 171, color: { color: '#DDDDDD' }, width: 2 },{from: 25, to: 103, color: { color: '#FFD0D0' }, width: 2 },{from: 187, to: 28, color: { color: '#DDDDDD' }, width: 2 },{from: 151, to: 182, color: { color: '#FF8080' }, width: 2 },{from: 179, to: 73, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 179, color: { color: '#FF6060' }, width: 2 },{from: 135, to: 117, color: { color: '#FF6060' }, width: 2 },{from: 135, to: 146, color: { color: '#FF6060' }, width: 2 },{from: 196, to: 25, color: { color: '#FF8080' }, width: 2 },{from: 32, to: 175, color: { color: '#DDDDDD' }, width: 2 },{from: 194, to: 44, color: { color: '#DDDDDD' }, width: 2 },{from: 105, to: 196, color: { color: '#FF8080' }, width: 2 },{from: 23, to: 194, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 221, color: { color: '#FF8080' }, width: 2 },{from: 50, to: 50, color: { color: '#FF6060' }, width: 2 },{from: 185, to: 127, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 216, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 145, color: { color: '#FF8080' }, width: 2 },{from: 3, to: 57, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 39, color: { color: '#FFD0D0' }, width: 2 },{from: 179, to: 101, color: { color: '#FF6060' }, width: 2 },{from: 146, to: 177, color: { color: '#FFD0D0' }, width: 2 },{from: 187, to: 198, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 151, color: { color: '#FF8080' }, width: 2 },{from: 96, to: 105, color: { color: '#FF8080' }, width: 2 },{from: 60, to: 104, color: { color: '#DDDDDD' }, width: 2 },{from: 18, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 19, to: 121, color: { color: '#DDDDDD' }, width: 2 },{from: 7, to: 174, color: { color: '#DDDDDD' }, width: 2 },{from: 186, to: 209, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 77, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 148, color: { color: '#FF8080' }, width: 2 },{from: 50, to: 42, color: { color: '#FF8080' }, width: 2 },{from: 19, to: 60, color: { color: '#DDDDDD' }, width: 2 },{from: 101, to: 23, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 19, color: { color: '#DDDDDD' }, width: 2 },{from: 179, to: 95, color: { color: '#FF6060' }, width: 2 },{from: 44, to: 187, color: { color: '#FF8080' }, width: 2 },{from: 8, to: 166, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 47, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 72, color: { color: '#FFD0D0' }, width: 2 },{from: 140, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 219, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 110, color: { color: '#FF6060' }, width: 2 },{from: 3, to: 208, color: { color: '#FF8080' }, width: 2 },{from: 197, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 105, color: { color: '#FF8080' }, width: 2 },{from: 8, to: 72, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 86, color: { color: '#FFD0D0' }, width: 2 },{from: 222, to: 158, color: { color: '#DDDDDD' }, width: 2 },{from: 105, to: 7, color: { color: '#FF8080' }, width: 2 },{from: 60, to: 165, color: { color: '#DDDDDD' }, width: 2 },{from: 18, to: 108, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 47, color: { color: '#FF8080' }, width: 2 },{from: 138, to: 204, color: { color: '#DDDDDD' }, width: 2 },{from: 141, to: 58, color: { color: '#DDDDDD' }, width: 2 },{from: 98, to: 47, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 96, color: { color: '#FF6060' }, width: 2 },{from: 44, to: 24, color: { color: '#FF8080' }, width: 2 },{from: 54, to: 23, color: { color: '#FF8080' }, width: 2 },{from: 3, to: 30, color: { color: '#FF8080' }, width: 2 },{from: 177, to: 7, color: { color: '#FFD0D0' }, width: 2 },{from: 127, to: 174, color: { color: '#DDDDDD' }, width: 2 },{from: 104, to: 85, color: { color: '#DDDDDD' }, width: 2 },{from: 132, to: 167, color: { color: '#DDDDDD' }, width: 2 },{from: 7, to: 105, color: { color: '#DDDDDD' }, width: 2 },{from: 24, to: 176, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 154, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 174, color: { color: '#DDDDDD' }, width: 2 },{from: 75, to: 213, color: { color: '#FF8080' }, width: 2 },{from: 72, to: 62, color: { color: '#FF8080' }, width: 2 },{from: 177, to: 185, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 55, color: { color: '#FFD0D0' }, width: 2 },{from: 197, to: 137, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 127, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 22, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 72, color: { color: '#FF8080' }, width: 2 },{from: 171, to: 195, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 117, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 124, color: { color: '#FFD0D0' }, width: 2 },{from: 12, to: 229, color: { color: '#DDDDDD' }, width: 2 },{from: 193, to: 63, color: { color: '#DDDDDD' }, width: 2 },{from: 226, to: 90, color: { color: '#DDDDDD' }, width: 2 },{from: 132, to: 76, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 8, color: { color: '#FF6060' }, width: 2 },{from: 88, to: 142, color: { color: '#DDDDDD' }, width: 2 },{from: 112, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 105, to: 137, color: { color: '#FF8080' }, width: 2 },{from: 179, to: 48, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 4, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 13, color: { color: '#FFD0D0' }, width: 2 },{from: 197, to: 117, color: { color: '#FFD0D0' }, width: 2 },{from: 226, to: 185, color: { color: '#DDDDDD' }, width: 2 },{from: 186, to: 212, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 137, color: { color: '#DDDDDD' }, width: 2 },{from: 132, to: 47, color: { color: '#FFD0D0' }, width: 2 },{from: 206, to: 128, color: { color: '#DDDDDD' }, width: 2 },{from: 219, to: 103, color: { color: '#FFD0D0' }, width: 2 },{from: 140, to: 220, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 196, color: { color: '#DDDDDD' }, width: 2 },{from: 96, to: 67, color: { color: '#FF8080' }, width: 2 },{from: 21, to: 10, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 222, color: { color: '#FF8080' }, width: 2 },{from: 44, to: 140, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 78, color: { color: '#FFD0D0' }, width: 2 },{from: 199, to: 157, color: { color: '#DDDDDD' }, width: 2 },{from: 219, to: 68, color: { color: '#FFD0D0' }, width: 2 },{from: 7, to: 47, color: { color: '#DDDDDD' }, width: 2 },{from: 219, to: 25, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 54, color: { color: '#FF6060' }, width: 2 },{from: 174, to: 205, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 175, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 76, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 137, color: { color: '#FF6060' }, width: 2 },{from: 3, to: 70, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 196, color: { color: '#FF6060' }, width: 2 },{from: 117, to: 145, color: { color: '#FF8080' }, width: 2 },{from: 23, to: 181, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 92, color: { color: '#FFD0D0' }, width: 2 },{from: 24, to: 114, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 197, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 228, color: { color: '#FF6060' }, width: 2 },{from: 151, to: 102, color: { color: '#FF8080' }, width: 2 },{from: 175, to: 149, color: { color: '#DDDDDD' }, width: 2 },{from: 197, to: 47, color: { color: '#FFD0D0' }, width: 2 },{from: 67, to: 18, color: { color: '#FF8080' }, width: 2 },{from: 155, to: 155, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 199, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 206, color: { color: '#FFD0D0' }, width: 2 },{from: 146, to: 77, color: { color: '#FF8080' }, width: 2 },{from: 60, to: 142, color: { color: '#DDDDDD' }, width: 2 },{from: 18, to: 35, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 196, color: { color: '#DDDDDD' }, width: 2 },{from: 21, to: 17, color: { color: '#FFD0D0' }, width: 2 },{from: 24, to: 36, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 118, color: { color: '#FF8080' }, width: 2 },{from: 53, to: 221, color: { color: '#FFD0D0' }, width: 2 },{from: 50, to: 91, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 65, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 106, color: { color: '#FF6060' }, width: 2 },{from: 67, to: 14, color: { color: '#FF8080' }, width: 2 },{from: 7, to: 218, color: { color: '#DDDDDD' }, width: 2 },{from: 132, to: 211, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 199, color: { color: '#FFD0D0' }, width: 2 },{from: 112, to: 44, color: { color: '#FFD0D0' }, width: 2 },{from: 96, to: 24, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 132, color: { color: '#FFD0D0' }, width: 2 },{from: 21, to: 215, color: { color: '#FFD0D0' }, width: 2 },{from: 50, to: 185, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 64, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 99, color: { color: '#FFD0D0' }, width: 2 },{from: 197, to: 32, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 138, color: { color: '#FFD0D0' }, width: 2 },{from: 8, to: 156, color: { color: '#FF8080' }, width: 2 },{from: 137, to: 217, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 59, color: { color: '#FF6060' }, width: 2 },{from: 8, to: 29, color: { color: '#FF6060' }, width: 2 },{from: 174, to: 195, color: { color: '#FFD0D0' }, width: 2 },{from: 7, to: 224, color: { color: '#DDDDDD' }, width: 2 },{from: 50, to: 100, color: { color: '#FF8080' }, width: 2 },{from: 50, to: 122, color: { color: '#FF6060' }, width: 2 },{from: 3, to: 207, color: { color: '#FF8080' }, width: 2 },{from: 197, to: 106, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 19, color: { color: '#FFD0D0' }, width: 2 },{from: 82, to: 93, color: { color: '#DDDDDD' }, width: 2 },{from: 25, to: 66, color: { color: '#FFD0D0' }, width: 2 },{from: 187, to: 63, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 212, color: { color: '#DDDDDD' }, width: 2 },{from: 7, to: 7, color: { color: '#FF8080' }, width: 2 },{from: 53, to: 145, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 152, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 43, color: { color: '#FF8080' }, width: 2 },{from: 25, to: 180, color: { color: '#FFD0D0' }, width: 2 },{from: 150, to: 27, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 163, color: { color: '#FFD0D0' }, width: 2 },{from: 177, to: 111, color: { color: '#FFD0D0' }, width: 2 },{from: 79, to: 34, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 41, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 24, color: { color: '#FF6060' }, width: 2 },{from: 196, to: 77, color: { color: '#FF8080' }, width: 2 },{from: 122, to: 23, color: { color: '#FF8080' }, width: 2 },{from: 185, to: 45, color: { color: '#FFD0D0' }, width: 2 },{from: 138, to: 109, color: { color: '#DDDDDD' }, width: 2 },{from: 50, to: 216, color: { color: '#FF8080' }, width: 2 },{from: 177, to: 146, color: { color: '#FFD0D0' }, width: 2 },{from: 181, to: 216, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 192, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 155, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 51, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 197, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 79, color: { color: '#DDDDDD' }, width: 2 },{from: 4, to: 4, color: { color: '#DDDDDD' }, width: 2 },{from: 224, to: 108, color: { color: '#DDDDDD' }, width: 2 },{from: 196, to: 53, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 142, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 167, color: { color: '#DDDDDD' }, width: 2 },{from: 72, to: 20, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 112, to: 140, color: { color: '#DDDDDD' }, width: 2 },{from: 142, to: 88, color: { color: '#DDDDDD' }, width: 2 },{from: 80, to: 170, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 150, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 67, color: { color: '#DDDDDD' }, width: 2 },{from: 64, to: 132, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 220, color: { color: '#FFD0D0' }, width: 2 },{from: 185, to: 177, color: { color: '#FF8080' }, width: 2 },{from: 47, to: 3, color: { color: '#DDDDDD' }, width: 2 },{from: 96, to: 197, color: { color: '#FF8080' }, width: 2 },{from: 28, to: 63, color: { color: '#DDDDDD' }, width: 2 },{from: 226, to: 162, color: { color: '#DDDDDD' }, width: 2 },{from: 166, to: 132, color: { color: '#FFD0D0' }, width: 2 },{from: 21, to: 98, color: { color: '#FFD0D0' }, width: 2 },{from: 137, to: 107, color: { color: '#FF8080' }, width: 2 },{from: 44, to: 65, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 82, color: { color: '#FFD0D0' }, width: 2 },{from: 44, to: 105, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 153, color: { color: '#FF6060' }, width: 2 },{from: 224, to: 18, color: { color: '#DDDDDD' }, width: 2 },{from: 24, to: 18, color: { color: '#FFD0D0' }, width: 2 },{from: 75, to: 42, color: { color: '#FF8080' }, width: 2 },{from: 47, to: 197, color: { color: '#DDDDDD' }, width: 2 },{from: 135, to: 189, color: { color: '#FF6060' }, width: 2 },{from: 3, to: 125, color: { color: '#FF8080' }, width: 2 },{from: 185, to: 169, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 84, color: { color: '#FFD0D0' }, width: 2 },{from: 179, to: 37, color: { color: '#FF8080' }, width: 2 },{from: 64, to: 197, color: { color: '#FF8080' }, width: 2 },{from: 24, to: 205, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 88, color: { color: '#FFD0D0' }, width: 2 },{from: 185, to: 141, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 140, color: { color: '#FFD0D0' }, width: 2 },{from: 180, to: 25, color: { color: '#DDDDDD' }, width: 2 },{from: 140, to: 212, color: { color: '#DDDDDD' }, width: 2 },{from: 105, to: 96, color: { color: '#FF8080' }, width: 2 },{from: 137, to: 44, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 69, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 34, color: { color: '#DDDDDD' }, width: 2 },{from: 226, to: 136, color: { color: '#DDDDDD' }, width: 2 },{from: 226, to: 160, color: { color: '#DDDDDD' }, width: 2 },{from: 138, to: 178, color: { color: '#DDDDDD' }, width: 2 },{from: 47, to: 98, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 99, color: { color: '#FF8080' }, width: 2 },{from: 96, to: 137, color: { color: '#FF8080' }, width: 2 },{from: 3, to: 102, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 94, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 173, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 67, color: { color: '#FF6060' }, width: 2 },{from: 44, to: 198, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 185, color: { color: '#FFD0D0' }, width: 2 },{from: 112, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 105, to: 177, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 52, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 161, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 114, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 224, color: { color: '#DDDDDD' }, width: 2 },{from: 209, to: 123, color: { color: '#FFD0D0' }, width: 2 },{from: 186, to: 61, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 72, color: { color: '#FF6060' }, width: 2 },{from: 219, to: 212, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 105, color: { color: '#DDDDDD' }, width: 2 },{from: 185, to: 89, color: { color: '#FF8080' }, width: 2 },{from: 179, to: 143, color: { color: '#FF8080' }, width: 2 },{from: 185, to: 21, color: { color: '#FF8080' }, width: 2 },{from: 96, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 185, color: { color: '#FF6060' }, width: 2 },{from: 132, to: 138, color: { color: '#FFD0D0' }, width: 2 },{from: 75, to: 90, color: { color: '#FF8080' }, width: 2 },{from: 145, to: 9, color: { color: '#DDDDDD' }, width: 2 },{from: 145, to: 87, color: { color: '#FFD0D0' }, width: 2 },{from: 3, to: 220, color: { color: '#FF8080' }, width: 2 },{from: 163, to: 115, color: { color: '#DDDDDD' }, width: 2 },{from: 141, to: 177, color: { color: '#DDDDDD' }, width: 2 },{from: 179, to: 44, color: { color: '#FF8080' }, width: 2 },{from: 64, to: 146, color: { color: '#FF8080' }, width: 2 },{from: 137, to: 14, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 3, color: { color: '#FF6060' }, width: 2 },{from: 226, to: 213, color: { color: '#DDDDDD' }, width: 2 },{from: 197, to: 64, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 116, color: { color: '#FFD0D0' }, width: 2 },{from: 117, to: 47, color: { color: '#FF8080' }, width: 2 },{from: 75, to: 185, color: { color: '#FF8080' }, width: 2 },{from: 67, to: 140, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 67, color: { color: '#FFD0D0' }, width: 2 },{from: 18, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 200, color: { color: '#FFD0D0' }, width: 2 },{from: 67, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 186, color: { color: '#DDDDDD' }, width: 2 },{from: 202, to: 168, color: { color: '#FFD0D0' }, width: 2 },{from: 175, to: 32, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 183, color: { color: '#FFD0D0' }, width: 2 },{from: 47, to: 214, color: { color: '#FFD0D0' }, width: 2 },{from: 105, to: 150, color: { color: '#FF8080' }, width: 2 },{from: 75, to: 160, color: { color: '#FF8080' }, width: 2 },{from: 135, to: 15, color: { color: '#FF6060' }, width: 2 },{from: 24, to: 185, color: { color: '#FFD0D0' }, width: 2 },{from: 67, to: 219, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 207, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 17, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 104, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 5, color: { color: '#FFD0D0' }, width: 2 },{from: 72, to: 47, color: { color: '#FF8080' }, width: 2 },{from: 132, to: 2, color: { color: '#FFD0D0' }, width: 2 },{from: 8, to: 8, color: { color: '#FF6060' }, width: 2 },{from: 72, to: 31, color: { color: '#FF8080' }, width: 2 },{from: 28, to: 193, color: { color: '#DDDDDD' }, width: 2 },{from: 196, to: 137, color: { color: '#FF8080' }, width: 2 },{from: 224, to: 133, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 71, color: { color: '#FF8080' }, width: 2 },{from: 25, to: 86, color: { color: '#FFD0D0' }, width: 2 },{from: 105, to: 208, color: { color: '#FF8080' }, width: 2 },{from: 151, to: 171, color: { color: '#FF8080' }, width: 2 },{from: 72, to: 166, color: { color: '#FF8080' }, width: 2 },{from: 7, to: 132, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 140, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 24, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 3, color: { color: '#FFD0D0' }, width: 2 },{from: 25, to: 5, color: { color: '#FFD0D0' }, width: 2 },{from: 47, to: 72, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 96, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 113, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 205, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 184, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 64, color: { color: '#FFD0D0' }, width: 2 },{from: 7, to: 177, color: { color: '#DDDDDD' }, width: 2 },{from: 177, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 67, color: { color: '#DDDDDD' }, width: 2 },{from: 18, to: 199, color: { color: '#FFD0D0' }, width: 2 },{from: 216, to: 187, color: { color: '#FFD0D0' }, width: 2 },{from: 194, to: 48, color: { color: '#DDDDDD' }, width: 2 },{from: 64, to: 126, color: { color: '#FF8080' }, width: 2 },{from: 219, to: 49, color: { color: '#FFD0D0' }, width: 2 },{from: 144, to: 77, color: { color: '#FFD0D0' }, width: 2 },{from: 197, to: 139, color: { color: '#FFD0D0' }, width: 2 },{from: 64, to: 174, color: { color: '#FF8080' }, width: 2 },{from: 194, to: 143, color: { color: '#DDDDDD' }, width: 2 },{from: 174, to: 152, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 230, color: { color: '#FFD0D0' }, width: 2 },{from: 92, to: 210, color: { color: '#DDDDDD' }, width: 2 },{from: 105, to: 44, color: { color: '#FF8080' }, width: 2 },{from: 208, to: 129, color: { color: '#FF8080' }, width: 2 },{from: 19, to: 74, color: { color: '#DDDDDD' }, width: 2 },{from: 135, to: 201, color: { color: '#FF6060' }, width: 2 },{from: 3, to: 16, color: { color: '#FF8080' }, width: 2 },{from: 216, to: 177, color: { color: '#FFD0D0' }, width: 2 },{from: 50, to: 202, color: { color: '#FF8080' }, width: 2 },{from: 174, to: 40, color: { color: '#FFD0D0' }, width: 2 },{from: 219, to: 44, color: { color: '#FFD0D0' }, width: 2 },{from: 216, to: 174, color: { color: '#FFD0D0' }, width: 2 },{from: 60, to: 112, color: { color: '#DDDDDD' }, width: 2 },{from: 49, to: 180, color: { color: '#DDDDDD' }, width: 2 },{from: 3, to: 219, color: { color: '#FF8080' }, width: 2 },{from: 209, to: 149, color: { color: '#FFD0D0' }, width: 2 },{from: 181, to: 185, color: { color: '#DDDDDD' }, width: 2 },{from: 102, to: 218, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 196, color: { color: '#DDDDDD' }, width: 2 },{from: 177, to: 105, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 97, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 12, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 208, color: { color: '#FFD0D0' }, width: 2 },{from: 75, to: 136, color: { color: '#FF8080' }, width: 2 },{from: 216, to: 60, color: { color: '#FFD0D0' }, width: 2 },{from: 194, to: 73, color: { color: '#DDDDDD' }, width: 2 },{from: 187, to: 3, color: { color: '#DDDDDD' }, width: 2 },{from: 177, to: 141, color: { color: '#FFD0D0' }, width: 2 },{from: 8, to: 101, color: { color: '#FF6060' }, width: 2 },{from: 151, to: 144, color: { color: '#FF8080' }, width: 2 },{from: 197, to: 132, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 102, color: { color: '#FFD0D0' }, width: 2 },{from: 53, to: 134, color: { color: '#FFD0D0' }, width: 2 },{from: 112, to: 212, color: { color: '#FFD0D0' }, width: 2 },{from: 132, to: 147, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 85, color: { color: '#FFD0D0' }, width: 2 },{from: 187, to: 34, color: { color: '#DDDDDD' }, width: 2 },{from: 212, to: 112, color: { color: '#FFD0D0' }, width: 2 },{from: 174, to: 3, color: { color: '#FFD0D0' }, width: 2 },{from: 196, to: 126, color: { color: '#FF8080' }, width: 2 },{from: 24, to: 53, color: { color: '#FFD0D0' }, width: 2 },{from: 135, to: 120, color: { color: '#FF6060' }, width: 2 },{from: 67, to: 137, color: { color: '#FF8080' }, width: 2 },]);


var container = document.getElementById('network');
var data = { nodes: nodes, edges: edges };
var options = {
  physics: {
    hierarchicalRepulsion: {
      nodeDistance: 500,
      springConstant: 2
    }
  },
  autoResize: true,
  height: '600px',
  width: '100%',
  layout: {
    improvedLayout: false
  }
};
var network = new vis.Network(container, data, options);
</script>

<span style="color:#808080"><i>
Network starts are updated at 10 minute intervals</br>
Last updated Sat May  4 22:50:02 2019
</span>    
     
